@REM ----------------------------------------------------------------------------
@REM Copyright 2001-2004 The Apache Software Foundation.
@REM
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\apache-vxquery-core-0.6.jar;"%REPO%"\commons-lang3-3.1.jar;"%REPO%"\algebricks-compiler-0.2.17-incubating.jar;"%REPO%"\algebricks-rewriter-0.2.17-incubating.jar;"%REPO%"\algebricks-core-0.2.17-incubating.jar;"%REPO%"\hyracks-storage-am-btree-0.2.17-incubating.jar;"%REPO%"\hyracks-storage-common-0.2.17-incubating.jar;"%REPO%"\hyracks-storage-am-common-0.2.17-incubating.jar;"%REPO%"\hyracks-storage-am-rtree-0.2.17-incubating.jar;"%REPO%"\algebricks-runtime-0.2.17-incubating.jar;"%REPO%"\algebricks-data-0.2.17-incubating.jar;"%REPO%"\algebricks-common-0.2.17-incubating.jar;"%REPO%"\hyracks-api-0.2.17-incubating.jar;"%REPO%"\json-20090211.jar;"%REPO%"\httpclient-4.3.jar;"%REPO%"\httpcore-4.3.jar;"%REPO%"\args4j-2.0.9.jar;"%REPO%"\hyracks-ipc-0.2.17-incubating.jar;"%REPO%"\hyracks-data-std-0.2.17-incubating.jar;"%REPO%"\hyracks-dataflow-common-0.2.17-incubating.jar;"%REPO%"\hyracks-dataflow-std-0.2.17-incubating.jar;"%REPO%"\hyracks-hdfs-2.x-0.2.17-incubating.jar;"%REPO%"\hadoop-minicluster-2.2.0.jar;"%REPO%"\hadoop-common-2.2.0-tests.jar;"%REPO%"\commons-math-2.1.jar;"%REPO%"\jasper-compiler-5.5.23.jar;"%REPO%"\jasper-runtime-5.5.23.jar;"%REPO%"\commons-el-1.0.jar;"%REPO%"\hadoop-hdfs-2.2.0-tests.jar;"%REPO%"\hadoop-yarn-server-tests-2.2.0-tests.jar;"%REPO%"\hadoop-yarn-server-common-2.2.0.jar;"%REPO%"\hadoop-yarn-server-nodemanager-2.2.0.jar;"%REPO%"\hadoop-yarn-server-resourcemanager-2.2.0.jar;"%REPO%"\jersey-test-framework-grizzly2-1.9.jar;"%REPO%"\jersey-test-framework-core-1.9.jar;"%REPO%"\javax.servlet-api-3.0.1.jar;"%REPO%"\jersey-grizzly2-1.9.jar;"%REPO%"\grizzly-http-2.1.2.jar;"%REPO%"\grizzly-framework-2.1.2.jar;"%REPO%"\gmbal-api-only-3.0.0-b023.jar;"%REPO%"\management-api-3.0.0-b012.jar;"%REPO%"\grizzly-http-server-2.1.2.jar;"%REPO%"\grizzly-rcm-2.1.2.jar;"%REPO%"\grizzly-http-servlet-2.1.2.jar;"%REPO%"\javax.servlet-3.1.jar;"%REPO%"\hadoop-mapreduce-client-jobclient-2.2.0-tests.jar;"%REPO%"\hadoop-mapreduce-client-common-2.2.0.jar;"%REPO%"\hadoop-yarn-client-2.2.0.jar;"%REPO%"\hadoop-mapreduce-client-shuffle-2.2.0.jar;"%REPO%"\hadoop-mapreduce-client-app-2.2.0.jar;"%REPO%"\hadoop-yarn-server-web-proxy-2.2.0.jar;"%REPO%"\hadoop-yarn-api-2.2.0.jar;"%REPO%"\hadoop-mapreduce-client-jobclient-2.2.0.jar;"%REPO%"\hadoop-mapreduce-client-hs-2.2.0.jar;"%REPO%"\hyracks-hdfs-core-0.2.17-incubating.jar;"%REPO%"\stax2-api-3.0.1.jar;"%REPO%"\stax-api-1.0.1.jar;"%REPO%"\woodstox-core-asl-4.0.6.jar;"%REPO%"\serializer-2.7.1.jar;"%REPO%"\xml-apis-1.3.04.jar;"%REPO%"\xercesImpl-2.9.1.jar;"%REPO%"\activemq-transport-xstream-2.1.jar;"%REPO%"\xstream-1.3.1.jar;"%REPO%"\xpp3_min-1.1.4c.jar;"%REPO%"\commons-io-2.4.jar;"%REPO%"\commons-codec-1.4.jar;"%REPO%"\hadoop-mapreduce-client-core-2.7.0.jar;"%REPO%"\hadoop-yarn-common-2.7.0.jar;"%REPO%"\jaxb-api-2.2.2.jar;"%REPO%"\stax-api-1.0-2.jar;"%REPO%"\activation-1.1.jar;"%REPO%"\jersey-client-1.9.jar;"%REPO%"\jackson-jaxrs-1.9.13.jar;"%REPO%"\jackson-xc-1.9.13.jar;"%REPO%"\guice-3.0.jar;"%REPO%"\javax.inject-1.jar;"%REPO%"\aopalliance-1.0.jar;"%REPO%"\jersey-guice-1.9.jar;"%REPO%"\protobuf-java-2.5.0.jar;"%REPO%"\avro-1.7.4.jar;"%REPO%"\paranamer-2.3.jar;"%REPO%"\snappy-java-1.0.4.1.jar;"%REPO%"\slf4j-api-1.7.10.jar;"%REPO%"\slf4j-log4j12-1.7.10.jar;"%REPO%"\hadoop-annotations-2.7.0.jar;"%REPO%"\guice-servlet-3.0.jar;"%REPO%"\netty-3.6.2.Final.jar;"%REPO%"\hadoop-common-2.7.0.jar;"%REPO%"\guava-11.0.2.jar;"%REPO%"\commons-cli-1.2.jar;"%REPO%"\commons-math3-3.1.1.jar;"%REPO%"\xmlenc-0.52.jar;"%REPO%"\commons-httpclient-3.1.jar;"%REPO%"\commons-net-3.1.jar;"%REPO%"\commons-collections-3.2.1.jar;"%REPO%"\servlet-api-2.5.jar;"%REPO%"\jetty-6.1.22.jar;"%REPO%"\jetty-util-6.1.26.jar;"%REPO%"\jsp-api-2.1.jar;"%REPO%"\jersey-core-1.9.jar;"%REPO%"\jersey-json-1.9.jar;"%REPO%"\jettison-1.1.jar;"%REPO%"\jaxb-impl-2.2.3-1.jar;"%REPO%"\jersey-server-1.9.jar;"%REPO%"\asm-3.1.jar;"%REPO%"\commons-logging-1.1.3.jar;"%REPO%"\log4j-1.2.17.jar;"%REPO%"\jets3t-0.9.0.jar;"%REPO%"\java-xmlbuilder-0.4.jar;"%REPO%"\commons-lang-2.6.jar;"%REPO%"\commons-configuration-1.6.jar;"%REPO%"\commons-digester-1.8.jar;"%REPO%"\commons-beanutils-1.7.0.jar;"%REPO%"\commons-beanutils-core-1.8.0.jar;"%REPO%"\jackson-core-asl-1.9.13.jar;"%REPO%"\jackson-mapper-asl-1.9.13.jar;"%REPO%"\gson-2.2.4.jar;"%REPO%"\hadoop-auth-2.7.0.jar;"%REPO%"\apacheds-kerberos-codec-2.0.0-M15.jar;"%REPO%"\apacheds-i18n-2.0.0-M15.jar;"%REPO%"\api-asn1-api-1.0.0-M20.jar;"%REPO%"\api-util-1.0.0-M20.jar;"%REPO%"\curator-framework-2.7.1.jar;"%REPO%"\jsch-0.1.42.jar;"%REPO%"\curator-client-2.7.1.jar;"%REPO%"\curator-recipes-2.7.1.jar;"%REPO%"\jsr305-3.0.0.jar;"%REPO%"\htrace-core-3.1.0-incubating.jar;"%REPO%"\zookeeper-3.4.6.jar;"%REPO%"\commons-compress-1.4.1.jar;"%REPO%"\xz-1.0.jar;"%REPO%"\hadoop-hdfs-2.7.0.jar;"%REPO%"\commons-daemon-1.0.13.jar;"%REPO%"\netty-all-4.0.23.Final.jar;"%REPO%"\leveldbjni-all-1.8.jar;"%REPO%"\hyracks-control-cc-0.2.17-incubating.jar;"%REPO%"\hyracks-control-common-0.2.17-incubating.jar;"%REPO%"\jetty-server-8.0.0.RC0.jar;"%REPO%"\servlet-api-3.0.20100224.jar;"%REPO%"\jetty-continuation-8.0.0.RC0.jar;"%REPO%"\jetty-http-8.0.0.RC0.jar;"%REPO%"\jetty-io-8.0.0.RC0.jar;"%REPO%"\jetty-webapp-8.0.0.RC0.jar;"%REPO%"\jetty-xml-8.0.0.RC0.jar;"%REPO%"\jetty-util-8.0.0.RC0.jar;"%REPO%"\jetty-servlet-8.0.0.RC0.jar;"%REPO%"\jetty-security-8.0.0.RC0.jar;"%REPO%"\wicket-core-1.5.2.jar;"%REPO%"\wicket-util-1.5.2.jar;"%REPO%"\wicket-request-1.5.2.jar;"%REPO%"\slf4j-jcl-1.6.3.jar;"%REPO%"\hyracks-control-nc-0.2.17-incubating.jar;"%REPO%"\hyracks-net-0.2.17-incubating.jar;"%REPO%"\hyracks-comm-0.2.17-incubating.jar;"%REPO%"\apache-vxquery-server-0.6.jar
set EXTRA_JVM_ARGUMENTS=
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="vxquerycc" -Dapp.repo="%REPO%" -Dbasedir="%BASEDIR%" org.apache.hyracks.control.cc.CCDriver %CMD_LINE_ARGS%
if ERRORLEVEL 1 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=1

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@endlocal

:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
